gnutls_openpgp_keyring_get_crt(3)

NAME
gnutls_openpgp_keyring_get_crt - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_get_crt(gnutls_openpgp_keyring_t ring, unsigned int idx, gnutls_openpgp_crt_t * cert);

ARGUMENTS

gnutls_openpgp_keyring_t ring
    Holds the keyring.

unsigned int idx
    the index of the certificate to export

gnutls_openpgp_crt_t * cert
    An uninitialized gnutls_openpgp_crt_t structure

DESCRIPTION
This function will extract an OpenPGP certificate from the given keyring. If the index given is out of range GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned. The returned structure needs to be deinited.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/